GCLOUD_KMS_KEYS_SET-IAM-POLICY(1)

NAME

gcloud kms keys set-iam-policy - set the IAM policy for a key

SYNOPSIS

gcloud kms keys set-iam-policy KEY POLICY_FILE [--keyring=KEYRING] [--location=LOCATION] [GLOBAL-FLAG ...]

DESCRIPTION
Sets the IAM policy for the given key as defined in a JSON file. See https://cloud.google.com/iam/docs/managing-policies for details of the policy file format and contents.

POSITIONAL ARGUMENTS

    KEY Name of the key whose IAM policy to update.

    POLICY_FILE
        JSON file with the IAM policy

FLAGS

    --keyring=KEYRING
        The containing keyring.

    --location=LOCATION
        The location of the requested resource.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command will read am IAM policy defined in a JSON file 'policy.json' and set it for the key frodo with the keyring fellowship and location global:
    $ gcloud kms keys set-iam-policy frodo policy.json \
        --keyring fellowship --location global